MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022943Community[OCCT] OCCT:Application Frameworkpublic2012-01-30 18:192012-04-16 12:17
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022943: Bug TDataXtd_PatternStd
DescriptionSolves a copy-paste bug in TDataXtd_PatternStd - bug corrected by QbProg for OCE (https://github.com/tpaviot/oce/commit/10ce720680631240be68336aa6129ab5aa321190 [^])

In TDataXtd_PatternStd::NbInstances2

change lines 191-192 from

if(!myNb1.IsNull())
    if(myNb1->Get() == NbInstances2->Get())
      
to

if(!myNb2.IsNull())
    if(myNb2->Get() == NbInstances2->Get())



TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships

-  Notes
(0019650)
szy (administrator)
2012-02-17 18:51

Branch http://svn/svn/occt/branches/OCC22943 [^] is created.
(0019651)
szy (administrator)
2012-02-17 18:52

Vlad,
Review it, please.
(0019655)
vro (developer)
2012-02-20 09:52

Reviewed! Everything is Ok!
(0019684)
apn (administrator)
2012-02-20 17:40

Dear BugMaster,
  Workbench KAS:dev:apn-22943-occt was created from SVN branch http://svn/svn/occt/branches/OCC22943 [^]
  (and apn-22943-products from trunk) and compiled on Windows and Linux platforms.
  
  There are not regressions in apn-22943-products regarding to KAS:dev:products-20120217-opt
    
  See results in /QADisk/occttests/results/KAS/dev/ apn-22943-products_17022012/lin
  See reference results in /QADisk/occttests/results/KAS/dev/products-20120217-opt_17022012/lin
  See test cases in /QADisk/occttests/tests/ED
(0019720)
bugmaster (administrator)
2012-02-22 11:50
edited on: 2012-02-22 11:51

Integrated into trunk of occt repository

Date: 2012-02-22 11:49:21 +0400 (Wed, 22 Feb 2012)
New Revision: 10581

Modified:
   trunk/src/TDataXtd/TDataXtd_PatternStd.cxx

(0020389)
Pawel (developer)
2012-04-16 12:17

Verified. Please close.

- Related Changesets
occt: master 87893dfd
Timestamp: 2012-02-22 07:49:21
Author: vro
Committer: bugmaster
Details ] Diff ]
0022943: Bug TDataXtd_PatternStd
mod - src/TDataXtd/TDataXtd_PatternStd.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-30 18:19 Pawel New Issue
2012-01-30 18:19 Pawel Assigned To => szy
2012-01-30 18:56 abv Status new => assigned
2012-02-17 18:51 szy Note Added: 0019650
2012-02-17 18:51 szy Status assigned => resolved
2012-02-17 18:52 szy Note Added: 0019651
2012-02-17 18:52 szy Assigned To szy => vro
2012-02-17 18:52 szy Status resolved => assigned
2012-02-17 19:02 szy Status assigned => resolved
2012-02-20 09:52 vro Note Added: 0019655
2012-02-20 09:52 vro Assigned To vro => bugmaster
2012-02-20 09:52 vro Status resolved => reviewed
2012-02-20 13:03 apn Assigned To bugmaster => apn
2012-02-20 17:24 apn Test case number => Test case is not required
2012-02-20 17:40 apn Note Added: 0019684
2012-02-20 17:41 apn Assigned To apn => bugmaster
2012-02-20 17:41 apn Status reviewed => tested
2012-02-22 11:50 bugmaster Note Added: 0019720
2012-02-22 11:50 bugmaster Status tested => verified
2012-02-22 11:50 bugmaster Resolution open => fixed
2012-02-22 11:50 bugmaster Assigned To bugmaster => vro
2012-02-22 11:51 bugmaster Note Edited: 0019720 View Revisions
2012-03-11 10:46 bugmaster Target Version => 6.5.3
2012-03-29 17:26 bugmaster Changeset attached => occt master 87893dfd
2012-04-03 13:29 abv Assigned To vro => Pawel
2012-04-16 12:17 Pawel Assigned To Pawel => bugmaster
2012-04-16 12:17 Pawel Note Added: 0020389


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker